Jump to content


Photo

Problems by change from SmartFTP 1.5 to 2.0


  • Please log in to reply
1 reply to this topic

#1 SBH

SBH
  • Members
  • 4 posts

Posted 09 September 2010 - 08:56 AM

Dear Sir or Madam,

we changed from SmartFTP Library 1.5 to SmartFTP Library 2.0.

A major problem for us is, that the programs built with SmartFTP Library 2.0 do not work under Windows 2000. We have lots of customers running that OS.
Especially it's not possible to connect to a ftp-server.
We introduced 2.0 since our customers starting to run Windows 7.

We tried to use both components in our programs, depending on the OS. The problem then is, that the needed dlls, sfftplib.dll and libeay32.dll (to register the sfftplib.dll) have the same name in SmartFTP 1.5 and SmartFTP 2.0.
To avoid this problem, we're using a subdirectory for SmartFTP 1.5 und one for SmartFTP 2.0, each including the corresponding sfftplib.dll an libeay32.dll. Under Windows 2000 and Windows XP this works fine. We need serveral directories since in a network environment we have PCs with different OS-Versions.

Is there a possibility to build a program, which is working both under Windows 2000 and Windows 7 (XP should run too). We prefer a SmartFTP Library 2.0 working under the mentioned OS.

Sincerely,
Boris Klees, SBH

#2 mb

mb

    Developer

  • Administrators
  • 11520 posts
  • Gender:
    Male
  • Location:
    Worldwide

Posted 09 September 2010 - 12:22 PM

Windows 2000 support has been discontinued because Windows 2000 has reached the end of life. So to your question, unfortunately no. In your case I would provide two different binaries/setups. One for Windows 2000 and the other one for everything above.




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users